Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.whitespace
Class OperatorWrapCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
                      com.puppycrawl.tools.checkstyle.checks.whitespace.OperatorWrapCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class OperatorWrapCheck
extends AbstractOptionCheck

Checks line wrapping for operators. The policy to verify is specified using the `OperatorWrapOption` class and defaults to `OperatorWrapOption.NL`.

By default the check will check the following operators: `BAND`, `BOR`, `BSR`, `BXOR`, `COLON`, `DIV`, `EQUAL`, `GE`, `GT`, `LAND`, `LE`, `LITERAL_INSTANCEOF`, `LOR`, `LT`, `MINUS`, `MOD`, `NOT_EQUAL`, `PLUS`, `QUESTION`, `SL`, `SR`, `STAR`. Other acceptable tokens are `ASSIGN`, `BAND_ASSIGN`, `BOR_ASSIGN`, `BSR_ASSIGN`, `BXOR_ASSIGN`, `DIV_ASSIGN`, `MINUS_ASSIGN`, `MOD_ASSIGN`, `PLUS_ASSIGN`, `SL_ASSIGN`, `SR_ASSIGN`, `STAR_ASSIGN`.

An example of how to configure the check is:

     <module name="OperatorWrap"/>

An example of how to configure the check for assignment operators at the end of a line is:

     <module name="OperatorWrap">
         <property name="tokens"
                   value="ASSIGN,DIV_ASSIGN,PLUS_ASSIGN,MINUS_ASSIGN,STAR_ASSIGN,MOD_ASSIGN,SR_ASSIGN,BSR_ASSIGN,SL_ASSIGN,BXOR_ASSIGN,BOR_ASSIGN,BAND_ASSIGN"/>
         <property name="option" value="eol"/>
     </module>

Version:
  1.0
Author:
  Rick Giles

Constructor Summary
`OperatorWrapCheck()` Sets the operator wrap option to new line.

Method Summary
`int[]` | `getAcceptableTokens()` The configurable token set.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperatorWrapCheck

    public OperatorWrapCheck()

  Sets the operator wrap option to new line.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Description copied from class: `Check`
  The configurable token set. Used to protect Checks against malicious users who specify an unacceptable token set in the configuration file. The default implementation returns the check's default tokens.

  Overrides:
    `getAcceptableTokens` in class `Check`
  Returns:
    the token set this check is designed for.
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process
  See Also:
    `Check`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD